Public Class ucSucheFrontEnd

    Private Sub TextBoxSuche_TextChanged(sender As Object, e As EventArgs) Handles TextBoxSuche.TextChanged

    End Sub

    Private Sub ButtonSuche_Click(sender As Object, e As EventArgs) Handles ButtonSuche.Click
        OeffneSuche()
    End Sub

    Private Sub TextBoxSuche_KeyDown(sender As Object, e As KeyEventArgs) Handles TextBoxSuche.KeyDown
        If e.KeyCode = Keys.Enter Then
            OeffneSuche()
        End If
    End Sub

    Private Sub OeffneSuche()
        Suche.Show()
        Suche.UcSuche1.TextBoxSuche.Text = TextBoxSuche.Text
        Suche.UcSuche1.SucheNow()
    End Sub

End Class
